View Issue Details

IDProjectCategoryView StatusLast Update
0020467mantisbtdb mysqlpublic2016-06-12 00:43
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020467: Update ADOdb to 5.20.2
Description

There is an issue with db_fetch_array() on MySQL: field case is not consistently handled between 1st record fetched and subsequent ones. Initially reported in 0020365:0052081.

This is an issue in ADOdb upstream [1], fixed in v5.20.2. We need to update the library to fix this problem, affecting admin checks.

[1] https://github.com/ADOdb/ADOdb/issues/167

TagsNo tags attached.

Relationships

child of 0020365 closeddregad SYSTEM NOTICE: Undefined index with mysqli driver 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 0b972949

2015-12-26 18:32:47

dregad

Details Diff
Update ADOdb library to 5.20.2

This is a prerequisite to fix issue 0020365.
mod - library/README.md Diff File
mod - library/adodb Diff File

Issue History

Date Modified Username Field Change
2016-01-01 19:01 dregad New Issue
2016-01-01 19:02 dregad Relationship added child of 0020365
2016-01-01 19:02 dregad Assigned To => dregad
2016-01-01 19:02 dregad Status new => resolved
2016-01-01 19:02 dregad Resolution open => fixed
2016-01-01 19:02 dregad Fixed in Version => 1.3.0-rc.2
2016-01-01 19:02 dregad Changeset attached => MantisBT master 0b972949
2016-01-01 19:02 dregad Target Version => 1.3.0-rc.2
2016-06-12 00:43 vboctor Status resolved => closed